<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_EcoScore_Report StructType
 * @subpackage Structs
 */
class Get_EcoScore_Report extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The EcoScoreSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\EcoScoreSelection
     */
    public $EcoScoreSelection;
    /**
     * Constructor method for Get_EcoScore_Report
     * @uses Get_EcoScore_Report::setLogin()
     * @uses Get_EcoScore_Report::setEcoScoreSelection()
     * @param \StructType\Login $login
     * @param \StructType\EcoScoreSelection $ecoScoreSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\EcoScoreSelection $ecoScoreSelection = null)
    {
        $this
            ->setLogin($login)
            ->setEcoScoreSelection($ecoScoreSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_EcoScore_Report
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get EcoScoreSelection value
     * @return \StructType\EcoScoreSelection|null
     */
    public function getEcoScoreSelection()
    {
        return $this->EcoScoreSelection;
    }
    /**
     * Set EcoScoreSelection value
     * @param \StructType\EcoScoreSelection $ecoScoreSelection
     * @return \StructType\Get_EcoScore_Report
     */
    public function setEcoScoreSelection(\StructType\EcoScoreSelection $ecoScoreSelection = null)
    {
        $this->EcoScoreSelection = $ecoScoreSelection;
        return $this;
    }
}
